{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}

{{form_start(form,{"attr":{
    'novalidate':'novalidate'
}})}}
<div class="row">
<div class="col-xs-12">
    <div class="content-box-header">
        <div class="panel-title">{{"Edit attribute"|trans}}</div>
      
      <div class="panel-options">
         
      </div>
    </div>
    <div class="content-box-large box-with-header">
            
            {{form_row(form.name)}}

            {{form_row(form.label)}}

            {{form_row(form.type)}}

            <div class="action">
                    <button class="btn btn-primary" type="submit">
                    {{"Edit"|trans}}
                    </button>
            </div> 
   
           

  </div>
</div>

{% if attribute.type in dropdowns %}
<div class="col-xs-12">
  <div class="content-box-header">
      <div class="panel-title">{{"Options"|trans}}</div>
    
    <div class="panel-options">
      <a href="{{path('attribute_add_option',{id:attribute.id})}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
    </div>
  </div>
  <div class="content-box-large box-with-header">
          
    <div class="table-responsive">
      <table class="table table-striped">
      <thead>
        <tr>
          <th>#</th>
          <th>{{'Option name'|trans}}</th>
          <th>{{'Option code'|trans}}</th>
          <th>{{'Default selected'|trans}}</th>
          <th>{{'Actions'|trans}}</th>
        </tr>
      </thead>
      <tbody>
       {% for code,values in attribute.getOptions() %}
        <tr>
          <td>
            {{loop.index}}
          </td>
          <td>
            {{values.name}}
          </td>
          <td>
            {{values.code}}
          </td>
          <td>
            {{values.default?'Yes'|trans:'No'|trans}}
          </td>
          <td>
            <a href="{{path('attribute_delete_option',{
              id:attribute.id,
              code:values.code
          })}}">
              <i class="fa fa-trash-alt"></i>
          </a>
          </td>
        </tr>
       {% endfor %}
      </tbody>
    </table>
    </div>
 
         

</div>
</div>

{% endif %}
</div> 

{{form_end(form)}}

{% endblock %}


